Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalComboBoxEditor.UIResource

    java.lang.Object
      javax.swing.plaf.basic.BasicComboBoxEditor
          javax.swing.plaf.metal.MetalComboBoxEditor
              javax.swing.plaf.metal.MetalComboBoxEditor.UIResource

All Implemented Interfaces:
  FocusListener, EventListener, ComboBoxEditor, UIResource

Enclosing class:
  MetalComboBoxEditor

    public static class MetalComboBoxEditor.UIResource

extends MetalComboBoxEditor
implements UIResource

A subclass of BasicComboBoxEditor that implements UIResource. BasicComboBoxEditor doesn't implement UIResource directly so that applications can safely override the cellRenderer property with BasicListCellRenderer subclasses.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.plaf.metal.MetalComboBoxEditor
`MetalComboBoxEditor.UIResource`

Field Summary

Fields inherited from class javax.swing.plaf.metal.MetalComboBoxEditor
`editorBorderInsets`

Fields inherited from class javax.swing.plaf.basic.BasicComboBoxEditor
`editor`

Constructor Summary
`MetalComboBoxEditor.UIResource()`

Method Summary

Methods inherited from class javax.swing.plaf.basic.BasicComboBoxEditor
`addActionListener, focusGained, focusLost, getEditorComponent, getItem, removeActionListener, selectAll, setItem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalComboBoxEditor.UIResource

    public MetalComboBoxEditor.UIResource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.